
Foreman - Feature #2539

Puppetrun API

05/22/2013 04:48 AM - Arnoud de Jonge

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have made a pull request which will add a call to API v2 to force a puppetrun, /api/hosts/:id/puppetrun.

https://github.com/theforeman/foreman/pull/636

Related issues:

Has duplicate Foreman - Feature #1080: Add api support for puppetrun Closed 08/01/2011

Associated revisions

Revision 0fda4cf6 - 05/29/2013 09:46 AM - Joseph Magen

fixes #2539 - added API puppetrun access permission and test

Revision f2fed493 - 05/29/2013 09:46 AM - Arnoud de Jonge

fixes #2539 - puppetrun API added.

Revision 14a553b1 - 05/29/2013 11:27 AM - Joseph Magen

fixes #2539 - added API puppetrun access permission and test

(cherry picked from commit 0fda4cf6098f491f067a00a7547e703e8632f035)

Revision 6ada068a - 05/29/2013 11:27 AM - Arnoud de Jonge

fixes #2539 - puppetrun API added.

(cherry picked from commit f2fed493701bf8cee17515d7fae803d0e65ae42d)

History

#1 - 05/22/2013 10:51 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/639

#2 - 05/29/2013 10:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0fda4cf6098f491f067a00a7547e703e8632f035.
